Get Malware Prevention Configuration

Get Malware Prevention Configuration
Get Malware Prevention Configuration

Get configuration for Malware Prevention deployment, including data sharing parameters.

If no configuration has been set, returns default configuration.

Request
URI
GET
https://{api_host}/ssp/lcm/malware-prevention/config
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Get operation completed successfully.

Returns MalwarePreventionConfiguration of type(s) application/json
This response body class contains all of the following: ManagedResource , MalwarePreventionParameters
{
    "_create_time": 1770239560456,
    "_create_user": "admin",
    "_last_modified_time": 1770239560456,
    "_last_modified_user": "admin",
    "_resource_type": "MalwarePreventionConfiguration",
    "_revision": 1,
    "_system_owned": false,
    "display_name": "Malware Prevention Configuration",
    "cloud_file_sharing_params": {
        "file_metadata_sharing_mode": true,
        "file_sharing_mode": true,
        "file_type_categories": {
            "archive": true,
            "document": true,
            "executable": true,
            "java": true,
            "media": true,
            "script": true
        }
    },
    "data_retention_params": {
        "file_retention_duration": 7,
        "report_retention_duration": 7
    },
    "mps_features_supported": [
        "FILE_SIZE_LIMIT",
        "AMSI_BUFFER_SCAN",
        "FILE_EXCLUSION"
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Get operation encountered error.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/ssp/lcm/malware-prevention/config